ParameterSpecification (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.param
Interface ParameterSpecification

All Known Subinterfaces:
  ExplicitParameterSpecification

All Known Implementing Classes:
  AbstractExplicitParameterSpecification, CollectionFilterKeyParameterSpecification, DynamicFilterParameterSpecification, NamedParameterSpecification, PositionalParameterSpecification, VersionTypeSeedParameterSpecification

    public interface ParameterSpecification

Maintains information relating to parameters which need to get bound into a JDBC `PreparedStatement`.

Method Summary
`int` | `bind(PreparedStatement statement, QueryParameters qp, SessionImplementor session, int position)` Bind the appropriate value into the given statement at the specified position.
`Type` | `getExpectedType()` Get the type which we are expeting for a bind into this parameter based on translated contextual information.
`String` | `renderDisplayInfo()` Render this parameter into displayable info (for logging, etc).
`void` | `setExpectedType(Type expectedType)` Injects the expected type.

Method Detail

### bind

    int bind(PreparedStatement statement,
             QueryParameters qp,
             SessionImplementor session,
             int position)
             throws SQLException

  Bind the appropriate value into the given statement at the specified position.

  Parameters:
    `statement` - The statement into which the value should be bound.
    `qp` - The defined values for the current query execution.
    `session` - The session against which the current execution is occuring.
    `position` - The position from which to start binding value(s).
  Returns:
    The number of sql bind positions "eaten" by this bind operation.
  Throws:
    `SQLException` - Indicates problems performing the JDBC biind operation.

### getExpectedType

    Type getExpectedType()

  Get the type which we are expeting for a bind into this parameter based on translated contextual information.

  Returns:
    The expected type.

### setExpectedType

    void setExpectedType(Type expectedType)

  Injects the expected type. Called during translation.

  Parameters:
    `expectedType` - The type to expect.

### renderDisplayInfo

    String renderDisplayInfo()

  Render this parameter into displayable info (for logging, etc).

  Returns:
    The displayable info.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.